/// <reference types="croppie" />
import { AfterViewInit, OnDestroy, ElementRef, EventEmitter } from '@angular/core';
import * as Croppie from 'croppie';
/**
 * Basic directive for creating Coppie instance on `<img>` tag.
 */
export declare class CroppieDirective implements AfterViewInit, OnDestroy {
    private element;
    croppie: Croppie;
    croppieOptions: Croppie.CroppieOptions;
    update: EventEmitter<Croppie>;
    constructor(elementRef: ElementRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
